.contacts {
    padding: 60px 20px 100px;
}

.contacts__wrapper {
    max-width: 500px;
    margin: 0 auto;
}

.contacts__title {
    font-size: 38px;
    font-weight: 600;
    color: #0D587C;
    margin-bottom: 40px;
    border-bottom: 2px solid #ddd;
    padding-bottom: 10px;
    display: inline-block;
}

/* СПИСОК */
.contacts__list {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

/* КАРТОЧКА */
.contact__card {
    background: #485262;
    padding: 35px 25px;
    border-radius: 20px;
    box-shadow: 0 15px 35px rgba(0, 0, 0, 0.08);
    text-align: center;
    text-decoration: none;
    color: rgba(255, 255, 255, 0.696);
    transition: all 0.3s ease;
}

.contact__card:hover {
    transform: translateY(-6px);
    box-shadow: 0 20px 45px rgba(0, 0, 0, 0.12);
}

.contact__icon {
    font-size: 28px;
    margin-bottom: 15px;
}

.contact__card h3 {
    font-size: 24px;
    margin-bottom: 15px;
    font-weight: 600;
}

.contact__value {
    font-size: 20px;
    font-weight: 500;
    color: rgba(255, 255, 255, 0.696);
    transition: 0.3s;
}

.contact__card:hover .contact__value {
    color: #63D1B7;
}

/* КНОПКА */
.contacts__action {
    margin-top: 50px;
}

.contacts__btn {
    display: block;
    width: 100%;
    text-align: center;
    padding: 15px 50px;
    font-size: 18px;
    font-weight: 600;
    border-radius: 35px;
    background: #63D1B7;
    color: #0D587C;
    text-decoration: none;
    transition: 0.3s ease;

    border: none;
    outline: none;
    cursor: pointer;
}

.contacts__btn:focus {
    outline: none;
}

.contacts__btn:hover {
    background: #6ce1c6;
    transform: translateY(-3px);
}

/* ADAPTIVE */
@media (max-width: 1024px) {
    .contacts__grid {
        grid-template-columns: repeat(2, 1fr);
        gap: 30px;
    }
}

@media (max-width: 768px) {
    .contacts__grid {
        grid-template-columns: 1fr;
        gap: 25px;
        padding: 0 20px;
    }

    .contacts__title {
        font-size: 28px;
    }
}